package agileTraveler.bean;

import java.util.Date;
import java.util.List;

import agileTraveler.airTicketPrice.AirCompanyTicketPrices;
import agileTraveler.airTicketPrice.AirTicketSearchException;
import agileTraveler.airTicketPrice.AirTicketSearcher;

public class AirTicketBean {

	private static String mockIniSection = null;
	private List<AirCompanyTicketPrices> prices = null;
	private String departureAirportName;
	private String destinationAirportName;
	private String errorMessage;

	public AirTicketBean(String departureAirportName,
			String destinationAirportName, String dpAirportCode,
			String dtAirportCode, Date departureDate, Date returnDate) {
		this.departureAirportName = departureAirportName;
		this.destinationAirportName = destinationAirportName;
		
		try {
			prices = new AirTicketSearcher().search(dpAirportCode,
					departureAirportName, dtAirportCode,
					destinationAirportName, departureDate, returnDate,
					mockIniSection);
			addDummyIcon();
		} catch (AirTicketSearchException e) {
			errorMessage = e.getMessage();
		}
	}

	private void addDummyIcon() {
		AirCompanyTicketPrices dummy = new AirCompanyTicketPrices();
		dummy.setAbsoluteLogoURL("img/agileTraveler64.png");
		dummy.setName("Air Company");
		dummy.setPriceForNonStop("Non Stop");
		dummy.setPriceForOneStop("One Stop");
		prices.add(0, dummy);
	}

	public static void setMock(String iniSection) {
		mockIniSection = iniSection;
	}

	public List<AirCompanyTicketPrices> getCompanies() {
		return prices;
	}

	public String getDepartureAirportName() {
		return departureAirportName;
	}

	public String getDestinationAirportName() {
		return destinationAirportName;
	}

	public String getErrorMessage() {
		return errorMessage;
	}

}
