package agileTraveler.model;

import java.util.List;

public class City implements Comparable<City> {

	private String code;
	private String name;
	private String country;
	private List<Airport> airports;
	
	public City (String name){
		this.name = name;
	}
	
	public City(){
		
	}
	
	public String getCode() {
		return code;
	}
	public void setCode(String code) {
		this.code = code;
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public String getCountry() {
		return country;
	}
	public void setCountry(String country) {
		this.country = country;
	}
	public List<Airport> getAirports() {
		return airports;
	}
	public void setAirports(List<Airport> airports) {
		this.airports = airports;
	}
	
	@Override
	public String toString(){
		if(airports == null || airports.isEmpty()){
			return name + ", " + country + "\n" + code + "\n";
		}
		
		String entry = "";
		
		for(Airport airport : airports){
			entry += airport.getName() + " (" + airport.getCode() + ")" + ", " + country + "\n" + this.code + "\n" ;
		}
		
		return entry;
	}
	@Override
	public int compareTo(City city) {
		return name.compareTo(city.getName());
	}
}