package agileTraveler.model;

import java.util.ArrayList;
import java.util.List;

public class Suggestion {
	
	public static List<Suggestion> getSuggestions(List<City> cities){
		List<Suggestion> suggestions = new ArrayList<Suggestion>();
		for (City city : cities){
			List<Airport> airports = city.getAirports();
			if (airports.isEmpty())
				suggestions.add(new Suggestion(city));
			else {
				for (Airport airport : airports)
					suggestions.add(new Suggestion(city, airport));
			}
		}
		return suggestions;
	}
	
	private String name, cityCode, airportCode, country;
	
	public Suggestion(City city){
		this(city.getName(), city.getCode(), null, city.getCountry());
	}
	
	public Suggestion(City city, Airport airport){
		this(airport.getName(), city.getCode(), airport.getCode(), city.getCountry());
	}
	
	public Suggestion(String name, String cityCode, String airportCode, String country){
		setName(name);
		setCityCode(cityCode);
		setAirportCode(airportCode);
		setCountry(country);
	}
	
	public String getValue(){
		String airport = (airportCode == null) ? "" : " (" + airportCode + ")";
		return name + airport + ", " + country;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getCityCode() {
		return cityCode;
	}

	public void setCityCode(String cityCode) {
		this.cityCode = cityCode;
	}

	public String getAirportCode() {
		return airportCode;
	}

	public void setAirportCode(String airportCode) {
		this.airportCode = airportCode;
	}

	public String getCountry() {
		return country;
	}
	
	public void setCountry(String country) {
		this.country = country;
	}
}