package agileTraveler.travelGuide;

import java.io.IOException;
import java.lang.reflect.InvocationTargetException;
import java.util.ArrayList;
import java.util.Collection;
import java.util.List;

import org.ini4j.InvalidFileFormatException;
import org.jdom.JDOMException;

import agileTraveler.exceptions.CityNotFoundException;
import agileTraveler.model.TravelGuide;
import agileTraveler.utilities.IniUtils;

public class TravelGuideParserMock implements ITravelGuideParser {

	private List<TravelGuide> travelGuides;

	public TravelGuideParserMock(String iniSection)
			throws InvalidFileFormatException, IOException,
			IllegalAccessException, InvocationTargetException,
			NoSuchMethodException, InstantiationException,
			CityNotFoundException {
		travelGuides = new ArrayList<TravelGuide>();
		IniUtils iniUtils = new IniUtils();
		iniUtils.fillList(travelGuides, TravelGuide.class,
				iniSection);
		if (travelGuides.size() == 0)
			throw new CityNotFoundException("No ini section.");
	}

	@Override
	public Collection<TravelGuide> getTravelGuides() {
		return travelGuides;
	}

	@Override
	public void setCityCode(String destinationCity) throws JDOMException,
			IOException, CityNotFoundException {
	}
}
