package agileTraveler.utilities;

import java.io.IOException;
import java.lang.reflect.InvocationTargetException;
import java.util.List;

import org.ini4j.Ini;
import org.ini4j.InvalidFileFormatException;
import org.ini4j.Profile.Section;

public class IniUtils {
	private Ini mockIni;

	public IniUtils() throws InvalidFileFormatException, IOException {
		mockIni = new Ini(getClass().getResourceAsStream("/mock.ini"));
	}
	
	public <T> void fillList(List<T> list, Class<T> clazz, String sectionName)
			throws IllegalAccessException, InvocationTargetException,
			NoSuchMethodException, InstantiationException {
		
		List<Section> sectionList = mockIni.getAll(sectionName);
		if (sectionList == null) {
			return;
		}
		Section sections = sectionList.get(0);
		String firstKey = sections.keySet().iterator().next();
		int size = sections.getAll(firstKey).size();
		
		for (int i = 0; i < size; i++) {
			T object = clazz.newInstance();
			IniUtils.fillObject(sections, i, object, clazz);
			list.add(object);
		}
	}
	
	public static void fillObject(Section section, int index, Object object,
			Class<?> clazz) throws IllegalAccessException,
			InvocationTargetException, NoSuchMethodException {

		for (String key : section.keySet()) {
			String methodName = "set" + key;
			try {

				clazz.getMethod(methodName, String.class).invoke(object,
						section.get(key, index));
			} catch (NoSuchMethodException e) {
				clazz.getMethod(methodName, Integer.TYPE).invoke(object,
						new Integer(section.get(key, index)).intValue());
			}
		}
	}
}