package agileTraveler.weather;

import java.io.IOException;
import java.net.MalformedURLException;
import java.sql.SQLException;
import java.util.Date;
import java.util.List;

import org.jdom.JDOMException;

import agileTraveler.exceptions.CityNotFoundException;
import agileTraveler.model.Weather;
import agileTraveler.utilities.DateUtils;

public class WeatherSearchEngine implements WeatherSearchEngineFactory {
	private WeatherParser weatherParser;
	private String city = null;

	@Override
	public Weather getWeather(String city) throws JDOMException,
												  IOException, 
												  CityNotFoundException {
		
		checkCity(city);
		return weatherParser.getWeather();
	}

	@Override
	public void initialize() {		
	}

	@Override
	public List<WeatherForecast> getWeatherForecast(String city)
			throws JDOMException, IOException, CityNotFoundException {
		
		checkCity(city);
		return weatherParser.getWeatherForecast();
	}

	private void checkCity(String city) throws JDOMException, IOException, CityNotFoundException {
		if (!city.equals(this.city)) {
			weatherParser = new WeatherParser(city);
			this.city = city;
		}
	}

	@Override
	public List<WeatherHistory> getWeatherHistory(String city,
			Date departureDate, Date returnDate) {
		try {
			WeatherHistoryParser weatherHistoryParser = new WeatherHistoryParser(city);
			weatherHistoryParser.setMonthList(DateUtils.getMonthsOfPeriod(departureDate, returnDate));
			return weatherHistoryParser.getWeatherHistories();
		} catch (ClassNotFoundException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		} catch (SQLException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		} catch (CityNotFoundException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		} catch (MalformedURLException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		} catch (IOException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}
		return null;
	}



}
