package agileTraveler.weather;

import java.io.IOException;
import java.lang.reflect.InvocationTargetException;
import java.util.Date;
import java.util.List;

import org.jdom.DataConversionException;
import org.jdom.JDOMException;

import agileTraveler.exceptions.CityNotFoundException;
import agileTraveler.model.Weather;

public interface WeatherSearchEngineFactory {
	void initialize() throws IOException, IllegalAccessException, InvocationTargetException, NoSuchMethodException;
	
	Weather getWeather(String city) throws JDOMException, IOException, CityNotFoundException;

	List<WeatherForecast> getWeatherForecast(String city)
			throws DataConversionException, JDOMException, IOException, CityNotFoundException;
	
	List<WeatherHistory> getWeatherHistory(String city, Date departureDate, Date returnDate);


}
