.read cities.sql
.read airport-codes.sql

begin;

update airports_tmp set country = 'United States' where country = 'USA';

create table AIRPORTS as
select a.name as name, a.code as code, c.code as city_code from airports_tmp a, cities c
where (a.name = c.name or (a.name like c.name || '%' and not exists(select 1 from cities c2 where c2.name = a.name)))
	and a.country = c.country;

drop table airports_tmp;

create table CITIES_AND_AIRPORTS as 
	select cities.code city_code, cities.name city_name, country, airports.name airport_name, airports.code airport_code 
	from cities left outer join airports on cities.code = airports.city_code;

commit;

