<%@taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@taglib uri="http://myfaces.apache.org/tomahawk" prefix="t"%>

<t:aliasBean alias="#{airTicket}" value="#{searchBean.airTicketBean}">

<h:panelGrid rendered="#{airTicket.companies != null}">
	<h:panelGrid id="tickets" style="text-align:center" >
		<h:outputLabel id="title" styleClass="title"
			value="Air Tickets from #{airTicket.departureAirportName} to #{airTicket.destinationAirportName} - Roundtrip" for="ticketPrices"/>
		<t:dataTable id="ticketPrices" var="company" value="#{airTicket.companies}" border="1"
			newspaperOrientation="horizontal" newspaperColumns="6">
			<h:column>
				<h:panelGrid id="companyInfo">
					<h:graphicImage style="align:center" style="max-height: 22px" url="#{company.logo}"/>
					<h:panelGrid />
					<h:outputText styleClass="bold" value="#{company.name}"></h:outputText>
					<h:panelGrid />
					<h:outputText value="#{company.priceForNonStop}" escape="false"></h:outputText>
					<h:panelGrid />
					<h:outputText value="#{company.priceForOneStop}" escape="false"></h:outputText>		
				</h:panelGrid>
			</h:column>
		</t:dataTable>
	</h:panelGrid>
</h:panelGrid>

<t:htmlTag value="br"></t:htmlTag>
<h:outputText id="noTickets" styleClass="error" rendered="#{airTicket.companies == null}" value="#{airTicket.errorMessage}"></h:outputText>

</t:aliasBean>