<%@taglib prefix="h" uri="http://java.sun.com/jsf/html"%>
<%@taglib prefix="r" uri="http://richfaces.org/rich"%>
<%@taglib uri="http://java.sun.com/jsf/core" prefix="f"%>


<h:outputLabel value="Departure City: " for="departure" />
<h:panelGrid cellpadding="0" cellspacing="0">
	<h:inputText id="departure" maxlength="100" size="34"
		style="font-size:12px;" required="false" autocomplete="off"
		onkeyup="invalidate(this);" />
	<r:suggestionbox id="departureBox" for="departure" var="suggestion"
		nothingLabel="No cities found" width="300" height="155"
		suggestionAction="#{searchBean.autocomplete}"
		fetchValue="#{suggestion.value}" usingSuggestObjects="true"
		ignoreDupResponses="true"
		onselect="selected(suggestion, 'departure', 'destination')">

		<f:facet name="header">
			<h:outputText value="Choose city, airport and country"  />
		</f:facet>
		
		<h:column>
			<h:outputText value="#{suggestion.name}" />
		</h:column>


		<h:column>
			<h:outputText rendered="#{suggestion.airportCode != null}"
				value="#{suggestion.airportCode}" />
		</h:column>

		
		<h:column>
			<h:outputText value="#{suggestion.country}" />
		</h:column>
		
		<h:column rendered="false">
			<h:outputText value="#{suggestion.cityCode}" />
		</h:column>
	</r:suggestionbox>
</h:panelGrid>

<h:outputLabel value="Destination City: " for="destination"
	style="size: 10" />
<h:panelGrid cellpadding="0" cellspacing="0">
	<h:inputText id="destination" maxlength="100" size="34"
		style="font-size:12px;" required="true" autocomplete="off"
		onkeyup="invalidate(this)" />
	<r:suggestionbox id="destinationBox" for="destination" var="suggestion"
		nothingLabel="No cities found" width="300" height="155"
		suggestionAction="#{searchBean.autocomplete}"
		fetchValue="#{suggestion.value}" usingSuggestObjects="true"
		ignoreDupResponses="true"
		onselect="selected(suggestion, 'destination', 'departureDate')">
		
		<f:facet name="header">
			<h:outputText value="Choose city, airport and country"  />
		</f:facet>
		
		<h:column>
			<h:outputText value="#{suggestion.name}" />
		</h:column>
		<h:column>
			<h:outputText rendered="#{suggestion.airportCode != null}"
				value="#{suggestion.airportCode}" />
		</h:column>
		<h:column>
			<h:outputText value="#{suggestion.country}" />
		</h:column>
		<h:column rendered="false">
			<h:outputText value="#{suggestion.cityCode}" />
		</h:column>
	</r:suggestionbox>
</h:panelGrid>

<h:outputLabel value="Departure Date: " for="departureDate" />
<h:panelGrid columns="7" cellpadding="0" cellspacing="0">
	<h:inputText id="departureDate" value="#{searchBean.departureDate}"
		onfocus="this.blur();" style="font-size:12px; background: #DDDDDD"
		onchange="checkDates();" size="8" />
	<h:graphicImage value="img/calendar.png" id="departureDateButton" />

	<h:panelGrid width="10" />
	<h:outputLabel value="Return Date: " for="returnDate" />
	<h:panelGrid width="3" />
	<h:inputText id="returnDate" value="#{searchBean.returnDate}"
		onfocus="this.blur();" style="font-size:12px; background: #DDDDDD"
		onchange="checkDates();" size="8" />
	<h:graphicImage value="img/calendar.png" id="returnDateButton" />
</h:panelGrid>

