var departureDateEl = null;
var returnDateEl = null;
var previousDepartureDateString = null;
var previousReturnDateString = null;

var departureDateButtonEl;
var departureDateEl;
var returnDateButtonEl;
var returnDateEl;

function initCheckDates(departureDateButtonId, departureDateId, returnDateButtonId, returnDateId) {
	returnDateEl = document.getElementById(returnDateId);
	departureDateEl = document.getElementById(departureDateId);
	returnDateButtonEl = document.getElementById(returnDateButtonId);
	departureDateButtonEl = document.getElementById(departureDateButtonId);
	
	Calendar.addEvent(departureDateButtonEl, "click", initDepartureDate);
	Calendar.addEvent(returnDateButtonEl, "click", initReturnDate);
	Calendar.addEvent(departureDateButtonEl, "click", checkDates);
	Calendar.addEvent(returnDateButtonEl, "click", checkDates);
}

// Fills the departureDate when user first clicks on it
function initDepartureDate() {
	if (departureDateEl.value != "") {
		return;
	}
	var today = new Date();
	departureDateEl.value = date2Str(today);
}

// Fills the returnDate when user first clicks on it
function initReturnDate() {
	var returnDateString = returnDateEl.value;
	var departureDateString = departureDateEl.value;
	
	if (returnDateString != "" || departureDateString == "") {
		return;
	}
	
	var departureDate = str2Date(departureDateString);
	var dayAfterDeparture = new Date();
	
	dayAfterDeparture.setFullYear(departureDate.getFullYear());
	dayAfterDeparture.setMonth(departureDate.getMonth());
	dayAfterDeparture.setDate(departureDate.getDate() + 1);
	
	returnDateEl.value = date2Str(dayAfterDeparture);
}

// Returns the element which was changed
function whoWasChanged() {
	var changed = null;
	var departureDateString = departureDateEl.value;
	var returnDateString = returnDateEl.value;
	
	if (previousDepartureDateString != departureDateString) {
		changed = departureDateEl;
		previousDepartureDateString = departureDateString;
	}
	else if (previousReturnDateString != returnDateString) {
		changed = returnDateEl;
		previousReturnDateString = returnDateString;
	}
	
	return changed;
}

// returnDate must be after departureDate
function checkDates() {
	var departureDateString = departureDateEl.value;
	var returnDateString = returnDateEl.value;
	
	// Both dates mustn't be null
	if (departureDateString == "" || returnDateString == "") {
		return;
	}
	
	var changed = whoWasChanged();
	
	if (changed == null) {
		return;
	}
	
	var departureDateObj = str2Date(departureDateString);
	var returnDateObj = str2Date(returnDateString);

	// Date objects can be compared the same way as integers
	if (changed == departureDateEl && departureDateObj >= returnDateObj){
		updateDate(departureDateObj, 1, returnDateEl);
	}
	else if (changed == returnDateEl && returnDateObj <= departureDateObj) {
		updateDate(returnDateObj, -1, departureDateEl);
	}
}

// Adds days in date and write its value in destEl
function updateDate(date, days, destEl) {
	var newDate = new Date();
	newDate.setFullYear(date.getFullYear());
	newDate.setMonth(date.getMonth());
	newDate.setDate(date.getDate() + days);
	
	destEl.value = date2Str(newDate);
}

// Converts a date in ISO standard to a Date object
function str2Date(iso) {
	var numbers = iso.split("-");
	var year = numbers[0];
	var month = numbers[1] - 1;
	var day = numbers[2];

	return new Date(year, month, day);
}

// Converts a Date object to an ISO date string
function date2Str(date) {
	var year = date.getFullYear();
	var month = pad(date.getMonth() + 1);
	var day = pad(date.getDate());

	return year + "-" + month + "-" + day;
}

// Pads with 0 until n has two digits
function pad(n) {
	if (n < 10) {
		n = "0" + n;
	}
	return n;
}