
var oldDeparture, oldDestination;

function init(){
	var departure = document.getElementById('searchForm:departure');
	var destination = document.getElementById('searchForm:destination');
	if (departure.value != "")
		departure.className = 'inputValid';
	if(destination.value != "")
		destination.className = 'inputValid';
	oldDeparture = departure.value;
	oldDestination = destination.value;
	updateButton();
}

function invalidate(input){
	if (input.value == getOldValue(input))
		return;
	
	input.className = 'inputInvalid';
	
	updateButton();
	
	// Clear hidden fields
	var airportName = document.getElementById(input.id + 'AirportName');
	airportName.value = "";
	var airportCode = document.getElementById(input.id + 'AirportCode');
	airportCode.value = "";
	var locationCode = document.getElementById(input.id + 'LocationCode');
	if(locationCode != null)
		locationCode.value = "";
}

function getOldValue(input){
	if (input.id == "searchForm:departure")
		return oldDeparture;
	if (input.id == "searchForm:destination")
		return oldDestination;
}

function setOldValue(input){
	if (input.id == "searchForm:departure")
		oldDeparture = input.value;
	if (input.id == "searchForm:destination")
		oldDestination = input.value;
}

function updateButton() {
	var departure = document.getElementById("searchForm:departure");
	var destination = document.getElementById("searchForm:destination");
	var button = document.getElementById("searchForm:search");
	var message = document.getElementById("searchForm:suggestionMessage");
	
	 if (departure.className != 'inputValid'){
		 button.disabled = true;
		 message.className = 'suggestion';
		 message.innerHTML = "Please, select a departure city from the list";
		 return ;
	 }
	 
	 if (destination.className != 'inputValid'){
		 button.disabled = true;
		 message.className = 'suggestion';
		 message.innerHTML = "Please, select a destination city from the list";
		 return;
	 }
	 
	 message.innerHTML = "";
	 message.className = "invisible";
	 button.disabled = false;
}

function selected(suggestionBox, name, nextFocus){
	var suggestion = suggestionBox.getSelectedItems()[0];
	var id = "searchForm:" + name;
	
	var airportName = document.getElementById(id + 'AirportName');
	airportName.value = suggestion.value;
	
	var airportCode = document.getElementById(id + 'AirportCode');
	airportCode.value = suggestion.airportCode;

	var locationCode = document.getElementById(id + 'LocationCode');
	if (locationCode != null )
		locationCode.value = suggestion.cityCode;

	var field = document.getElementById(id);
	setOldValue(field);
	field.className = 'inputValid';
	updateButton();
	
	document.getElementById('searchForm:' + nextFocus).focus();
}