<%@taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@taglib uri="http://myfaces.apache.org/tomahawk" prefix="t"%>

<t:aliasBean alias="#{weatherBean}" value="#{searchBean.weatherBean}">

<h:panelGrid rendered="#{weatherBean.weather != null}">

	<h:panelGrid columns="2" rendered="#{weatherBean.renderWeather}" id="weatherFullPanelGrid">
		<h:panelGrid id="currentWeatherPanelGrid">
			<h:outputLabel styleClass="title" value="Current Weather" for="currentWeatherData" id="currentWeatherOutputLabel" />
			<h:panelGrid columns="1" id="currentWeatherData">
				<h:outputText value="City: #{weatherBean.weather.city}"></h:outputText>
				<h:graphicImage url="#{weatherBean.weather.iconUrl}"></h:graphicImage>
				<h:outputText value="#{weatherBean.weather.condition}"></h:outputText>
				<h:outputText value="Temperature: #{weatherBean.weather.temperature} F"></h:outputText>
				<h:outputText value="Humidity: #{weatherBean.weather.humidity}%"></h:outputText>
				<h:outputText value="#{weatherBean.weather.windCondition}"></h:outputText>
			</h:panelGrid>
		</h:panelGrid>
		<t:panelGrid style="text-align:center" id="weatherForecastPanelGrid">
			<h:outputLabel id="weatherForecastLabel" styleClass="title" value="Weather Forecast" for="weatherForecast"/>
			<t:dataTable var="forecast" id="weatherForecast"
				value="#{weatherBean.weatherForecasts}"
				newspaperOrientation="horizontal" newspaperColumns="4">
				<h:column>
					<h:panelGrid id="forecastDay">
						<h:outputText styleClass="bold" value="#{forecast.dayOfWeek}"></h:outputText>
						<h:panelGrid />
						<h:graphicImage style="align:center" url="#{forecast.iconUrl}"></h:graphicImage>
						<h:panelGrid />
						<h:outputText value="#{forecast.condition}"></h:outputText>
						<h:panelGrid />
						<h:outputText value="Low: #{forecast.low} F"></h:outputText>
						<h:panelGrid />
						<h:outputText value="High: #{forecast.high} F"></h:outputText>
					</h:panelGrid>
				</h:column>
			</t:dataTable>
		</t:panelGrid>
	</h:panelGrid>
	<h:panelGrid rendered="#{weatherBean.renderWeatherHistory}" id="weatherHistoryPanel" style="text-align:center" >
		<h:outputLabel id="weatherHistoryLabel" styleClass="title"
			value="Average Temperature in #{searchBean.cityName} in the planned travel period" for="weatherHistory"/>
		<t:dataTable id="weatherHistory" var="history" value="#{weatherBean.weatherHistories}"
			newspaperOrientation="horizontal" newspaperColumns="7">
			<h:column>
				<h:panelGrid>
					<h:outputText styleClass="bold" value="#{history.month}"></h:outputText>
				<h:panelGrid />
				<h:outputText value="Min: #{history.minTemperature}" escape="false"></h:outputText>
				<h:panelGrid />
				<h:outputText value="Avg: #{history.meanTemperature}" escape="false"></h:outputText>
				<h:panelGrid />
				<h:outputText value="Max: #{history.maxTemperature}" escape="false"></h:outputText>
				</h:panelGrid>
			</h:column>
		</t:dataTable>

	</h:panelGrid>

</h:panelGrid>

<h:outputText id="error" styleClass="error" value="#{weatherBean.errorMessages}"></h:outputText>

</t:aliasBean>